#pragma once

#include "BtnST.h"
#include "XPStyleButtonST.h"
#include "ThemeHelperST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgXPStyleButtonST : public CDialog
{
public:
	CDlgXPStyleButtonST(CWnd* pParent, CResourceServerST*	m_pIcons);

	//{{AFX_DATA(CDlgXPStyleButtonST)
	enum { IDD = IDD_XPSTYLEBUTTONST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgXPStyleButtonST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgXPStyleButtonST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	afx_msg void OnChkToolbar();

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CXPStyleButtonST	m_btnXP[3];

	CThemeHelperST		m_ThemeHelper;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
